#include "pulsePin.h"
#include "pitches.h"

int melody[] = { NOTE_C5, NOTE_G4, NOTE_G4, NOTE_A4, NOTE_G4, 0, NOTE_B4, NOTE_C5 };
int noteDurations[] = { 4, 8, 8, 4, 4, 4, 4, 4 };

void setup() {
   Serial.begin(9600); 
}

void loop() {
   delay(1000);
    
  if(analogRead(SlideL) < 512)  return;

  for(int k = 0; k < 8; k++) {
    int nD = 1000/noteDurations[k];  
    tone(SpeakerOut, melody[k], nD);
    delay(nD*1.30);
    noTone(SpeakerOut);

    String prtStr = "Pitch : " + (String)melody[k] + ",   Duration : " + (String)nD;
    Serial.println(prtStr);
  }
}



