#include <MsTimer2.h>   // Library to interface Timer2 

#include <Adafruit_GFX.h>   // Core graphics library
#include <RGBmatrixPanel.h> // Hardware-specific library

#define CLK 8 
#define LAT A3
#define OE  9
#define A   A0
#define B   A1
#define C   A2

#define SpeakerOut A5

#define SlideL A4

#define PushL 12
#define PushR 13

#define EchoPin 10
#define TrigPin 11


void matrix_Pause()  {
  TIMSK1 &= ~_BV(TOIE1);  // Enable Timer1 Overflow Interrupt   
}

void matrix_Restart()  {
  TIMSK1 |= _BV(TOIE1);   // Disable Timer1 Overflow Interrupt 
}



